Bug 867711 - statfs call should be on root even if called on a file
statfs call should be on root even if called on a file
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 03:30 EDT by shishir gowda
Modified: 2013-12-08 20:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-24 04:35:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2012-10-18 03:30:51 EDT
Description of problem:
  
The logic to send statfs call on files was brought in for dht(rebalance).
Doing statfs call on a file would allow dht to check space on a given subvol.
Currently rebalance uses syncop, bypassing fuse.
    
This fix would lead to statfs showing incorrect values if called on a file,
whose cached subvol was down.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-10-23 10:08:42 EDT
posted a patch to http://review.gluster.org/4103, but still in discussion... not a priority.
Comment 2 Amar Tumballi 2012-12-24 04:35:23 EST
Don't think this is a necessity anymore.

Note You need to log in before you can comment on or make changes to this bug.